topsysproc(1m)

NAME
topsysproc - top syscalls by process name. Uses DTrace.

SYNOPSIS
topsysproc [-Cs] [interval [count]]

DESCRIPTION
This program continually prints a report of the number of system calls by process name, and refreshes the display every 1 second or as specified at the command line. Similar data can be fetched with "prstat -m". Since this uses DTrace, only users with root privileges can run this command.

OPTIONS

-C  don't clear the screen

-s  print per second values

EXAMPLES

Default output, 1 second updates,
    # topsysproc

Print every 5 seconds,
    # topsysproc 5

Print a scrolling output,
    # topsysproc -C

FIELDS

load avg
    load averages, see uptime(1)

syscalls
    total syscalls in this interval

syscalls/s
    syscalls per second

PROCESS
    process name

COUNT
    total syscalls in this interval

COUNT/s
    syscalls per second

NOTES
There may be several PIDs with the same process name.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
topsysproc will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), prstat(1M)